function z_dynpro_call_screen .
*"--------------------------------------------------------------------
*"*"Local Interface:
*"  IMPORTING
*"     REFERENCE(I_DYNNR) TYPE  SYDYNNR
*"     REFERENCE(I_POPUP) TYPE  SAP_BOOL OPTIONAL
*"     REFERENCE(I_STARTING_X) TYPE  I OPTIONAL
*"     REFERENCE(I_ENDING_X) TYPE  I OPTIONAL
*"     REFERENCE(I_STARTING_Y) TYPE  I OPTIONAL
*"     REFERENCE(I_ENDING_Y) TYPE  I OPTIONAL
*"--------------------------------------------------------------------

  data: l_starting_x type i,
        l_ending_x   type i,
        l_starting_y type i,
        l_ending_y   type i.

  case i_popup.
    when space.
      call screen i_dynnr.

    when others.
      l_starting_x = i_starting_x.
      l_ending_x   = i_ending_x.
      l_starting_y = i_starting_y.
      l_ending_y   = i_ending_y.

      if l_starting_x is initial.
        l_starting_x = 1.
      endif.
      if l_ending_x is initial.
      endif.
      if l_starting_y is initial.
        l_starting_y = 1.
      endif.
      if l_ending_y is initial.
      endif.
      call screen i_dynnr starting at l_starting_x l_starting_y
                          ending   at l_ending_x l_ending_y.
  endcase.

endfunction.